org.apache.lucene.search.uhighlight

## Class NoOpOffsetStrategy

- java.lang.Object
- - org.apache.lucene.search.uhighlight.FieldOffsetStrategy
  - - org.apache.lucene.search.uhighlight.NoOpOffsetStrategy

    public class NoOpOffsetStrategy
    extends FieldOffsetStrategy

Never returns offsets. Used when the query would highlight nothing.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### Field Summary

Fields
`static NoOpOffsetStrategy` `INSTANCE`

### Fields inherited from class org.apache.lucene.search.uhighlight.FieldOffsetStrategy

`components`

### Method Summary

All Methods Instance Methods Concrete Methods
`OffsetsEnum` `getOffsetsEnum(LeafReader reader, int docId, String content)` The primary method -- return offsets for highlightable words in the specified document.
`UnifiedHighlighter.OffsetSource` `getOffsetSource()`

### Methods inherited from class org.apache.lucene.search.uhighlight.FieldOffsetStrategy

`createOffsetsEnumFromReader, createOffsetsEnumsForAutomata, createOffsetsEnumsForTerms, createOffsetsEnumsWeightMatcher, getField`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final NoOpOffsetStrategy INSTANCE

### Method Detail

#### getOffsetSource

    public UnifiedHighlighter.OffsetSource getOffsetSource()

Specified by:
  `getOffsetSource` in class `FieldOffsetStrategy`

#### getOffsetsEnum

    public OffsetsEnum getOffsetsEnum(LeafReader reader,
                                      int docId,
                                      String content)
                               throws IOException

Description copied from class: `FieldOffsetStrategy`
The primary method -- return offsets for highlightable words in the specified document. Callers are expected to close the returned OffsetsEnum when it has been finished with

Specified by:
  `getOffsetsEnum` in class `FieldOffsetStrategy`
Throws:
  `IOException`